ata_mode_string
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_mode_string — convert xfer_mask to string

## Synopsis

`const char * ata_mode_string (` | unsigned int | xfer_mask`)`;

## Arguments

`xfer_mask`

  mask of bits supported; only highest bit counts.

## Description

Determine string which represents the highest speed (highest bit in `modemask`).

## LOCKING

None.

## RETURNS

Constant C string representing highest speed listed in `mode_mask`, or the constant C string “<n/a>”.

Prev | Up | Next
ata_xfer_mode2shift | Home | ata_devchk